import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';
export declare class DValidators {
    private static readonly ScriptPattern;
    private static readonly UrlPattern;
    private static readonly Ipv4Pattern;
    private static readonly Ipv6Pattern;
    private static readonly AlphabetPattern;
    private static readonly DigitPattern;
    private static readonly IntegerPattern;
    private static readonly NumberPattern;
    private static readonly PortRange;
    private static isEmptyInput;
    static whiteSpace(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验是否包含
     * @param contain
     * @returns
     */
    static contains(contain: string | number): ValidatorFn;
    /**
     * 校验是否不包含
     * @param contain
     * @returns
     */
    static notContains(contain: string | number): ValidatorFn;
    /**
     * 校验是否相等
     * @param equal
     * @returns
     */
    static equal(equal: string | number | boolean): ValidatorFn;
    /**
     * 校验是否不相等
     * @param equal
     * @returns
     */
    static notEqual(equal: string | number): ValidatorFn;
    /**
     * 校验端口号
     * @param control
     * @returns
     */
    static port(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验日期是否合法
     * @param control
     * @returns
     */
    static date(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验 url 是否合法
     * @param control
     * @returns
     */
    static url(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验整数
     * @param control
     * @returns
     */
    static integer(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验是否是数字
     * @param control
     * @returns
     */
    static digits(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验数字，支持科学计数法
     * @param control
     * @returns
     */
    static number(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验是否是字母
     * @param control
     * @returns
     */
    static alphabet(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验是 script 标签
     * @param control
     * @returns
     */
    static notScript(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验 ipv4
     * @param control
     * @returns
     */
    static ipv4(control: AbstractControl): ValidationErrors | null;
    /**
     * 校验 ipv6
     * @param control
     * @returns
     */
    static ipv6(control: AbstractControl): ValidationErrors | null;
}
